Subject: bug#61315: 29.0.60; c-ts-mode: 'else if' block indentation is broken

From: Yuan Fu <[email-masked]>
Date: Mon, 6 Feb 2023 18:31:14 -0800

Yuan Fu <[email-masked]> writes:

> Mohammed Sadiq <[email-masked]> writes:
>
>> The following code indentation is broken:
>>
>> int
>> main(void)
>> {
>>   if (a)
>>     {
>>       do_something();
>>     }
>>   else if (b)
>>     {
>> 	do_something_else();
>>     }
>> }
>>
>> Where do_something_else(); statement is indented more than it should be.
>> afair this seems to a recent regression.
>
> This is the indentation I get:
>
> int
> main(void)
> {
>   if (a)
>     {
>       do_something();
>     }
>   else if (b)
>     {
> 	  do_something_else();
>     }
> }
>
> Is that not what it should be?

My bad, I didn’t push the change I recently made. I just pushed them.

Yuan